Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::FontFamily Class Reference

A PangoFontFamily C++ wrapper class. More...

`#include <inti/pango/font.h>`

Inheritance diagram for Inti::Pango::FontFamily:

List of all members.

## Public Member Functions

Constructors

- virtual ~FontFamily ()
    Destructor.

Accessors

- PangoFontFamily * pango_font_family () const
    Get a pointer to the PangoFontFamily structure.
- operator PangoFontFamily * () const
    Conversion operator; safely converts a FontFamily to a PangoFontFamily pointer.
- String get_name () const
    Gets the name of the family.

Methods

- bool list_faces (std::vector< FontFace * > &faces)
    Lists the different font faces that make up family.

## Protected Member Functions

Constructors

- FontFamily (PangoFontFamily *family, bool reference=true)
    Construct a new FontFamily from an existing PangoFontFamily.

## Detailed Description

A PangoFontFamily C++ wrapper class.

FontFamily is used to represent a family of related font faces. The faces in a family share a common design, but differ in slant, weight, width and other aspects.

## Constructor & Destructor Documentation

Inti::Pango::FontFamily::FontFamily | ( | PangoFontFamily * | family,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new FontFamily from an existing PangoFontFamily. Parameters:
  family | A pointer to a PangoFontFamily.
  reference | Set false if the initial reference count is floating, set true if it's not.
The family can be a newly created PangoFontFamily or an existing PangoFontFamily. (see G::Object::Object).

## Member Function Documentation

String Inti::Pango::FontFamily::get_name | ( |  | ) | const

| Gets the name of the family. Returns: The name of the family. The name is unique among all fonts for the font backend and can be used in a FontDescription to specify that a face from this family is desired.

bool Inti::Pango::FontFamily::list_faces | ( | std::vector< FontFace * > & | faces | ) |

  | Lists the different font faces that make up family. Parameters:
  faces | A reference to a vector of FontFace* to hold the font faces, or null.
Returns: true if the vector is not empty. The faces in a family share a common design, but differ in slant, weight, width and other aspects.

The documentation for this class was generated from the following file:

- font.h

Main Page - Footer